_ocsd_pkt_atom Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types.h>`

## Public Attributes

uint32_t | En_bits
uint8_t | num

## Detailed Description

Definition at line 84 of file trc_pkt_types.h.

## Member Data Documentation

## En_bits

uint32_t _ocsd_pkt_atom::En_bits

pattern across num bits. Bit sequence:- ls bit = oldest atom (1st instruction executed), ms bit = newest (last instruction executed), Bit values :- 1'b1 = E atom, 1'b0 = N atom.

Definition at line 90 of file trc_pkt_types.h.

## num

uint8_t _ocsd_pkt_atom::num

number of atoms represented

Definition at line 91 of file trc_pkt_types.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/opencsd/trc_pkt_types.h